@media (max-width: 768px) {
    .footer-top {
        grid-template-columns: 1fr;
        gap: var(--spacing-3xl);
    }

    .brand-col {
        max-width: 100%;
        text-align: center;
    }

    .footer-column {
        align-items: center;
        text-align: center;
    }

    .footer-big-text {
        font-size: 35vw;
        margin-bottom: -6vw;
    }

    .footer-bottom {
        flex-direction: column;
        gap: var(--spacing-md);
    }
}